﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using KlodsClassLibrary;

namespace WebApplicationTestAfKlodsLibraryKlads
{
    public partial class WebFormTestAfRektangel : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack) return;
            // initiering for første gang
        }

        protected void BtnBasisTestRektangel_Click(object sender, EventArgs e)
        {
            this.TbxLog.Text = "";

            Rektangel rek1 = new Rektangel(10.0f, 20.0f);
            float b = rek1.Bredde;
            this.TbxLog.Text += "Bredde:" + b.ToString("F2")
                + " Længde:" + rek1.Længde.ToString("F2")
                + Environment.NewLine;

            this.TbxLog.Text += "Areal():"+rek1.BeregnAreal()
                + Environment.NewLine;

            this.TbxLog.Text += "Areal:" + rek1.Areal
                + Environment.NewLine;

            rek1.RetBredde(30.0f);
            rek1.Længde = 40.0f;

            this.TbxLog.Text += "Bredde:" + rek1.Bredde + " Længde:" + rek1.Længde
                + Environment.NewLine;


            Rektangel rek2 = new Rektangel(10.2f, 20.2f);
            this.TbxLog.Text += "2: Bredde:" + rek2.Bredde + " Længde:" + rek2.Længde
                 + Environment.NewLine;

            Rektangel rek3 = new Rektangel(10.3f, 20.3f);
            this.TbxLog.Text += "3: Bredde:" + rek3.Bredde + " Længde:" + rek3.Længde
                 + Environment.NewLine;

            rek3 = rek1;
            this.TbxLog.Text += "3ret: Bredde:" + rek3.Bredde + " Længde:" + rek3.Længde
                 + Environment.NewLine;

            int x = 5;
            int y = 6;
            x = y;

        }

        protected void BtnRektKartTest_Click(object sender, EventArgs e)
        {
            this.TbxLog.Text = "";
            RektankelKartotek rekKart = new RektankelKartotek();
            rekKart.OpretRektangel(10.0f, 20.0f);
            rekKart.OpretRektangel(30.0f, 40.0f);
            rekKart.OpretRektangel(40.0f, 40.0f);
            rekKart.OpretRektangel(20.0f, 20.0f);

            this.TbxLog.Text += "total areal"+rekKart.BeregnSamletArealAfAlleRektangler();

            List<Rektangel> kvadrater = rekKart.FindAlleKvadrater2();
            foreach (Rektangel k in kvadrater)
            {
                this.ListBox1.Items.Add(k.ToString());
            }
        }

        protected void BtnTestSort_Click(object sender, EventArgs e)
        {
            RektankelKartotek rekKart = new RektankelKartotek();
            rekKart.OpretRektangel(30.0f, 40.0f);
            rekKart.OpretRektangel(10.0f, 20.0f);
            rekKart.OpretRektangel(40.0f, 40.0f);
            rekKart.OpretRektangel(20.0f, 20.0f);
            List<Rektangel> kvadrater = rekKart.FindAlleRektanglerSorteretPåAreal();
            foreach (Rektangel k in kvadrater)
            {
                this.ListBox1.Items.Add(k.ToString()+" areal"+k.Areal);
            }

        }
    }
}